/**
 * Копонент-составляющая Скелетона
 */
export declare const LineSkeleton: import("react").FunctionComponent<import("@salutejs/plasma-new-hope/types/engines/types").PropsType<{
    view: {
        default: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        lighter: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
    size: {
        body1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        body2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        body3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        button1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        button2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        caption: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        footnote1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        footnote2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline4: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        paragraph1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        paragraph2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        underline: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyXXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h4: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h5: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
}> & import("react").HTMLAttributes<HTMLDivElement> & import("@salutejs/plasma-new-hope/types/components/Skeleton/Skeleton.types").SkeletonSizeProps & {
    customGradientColor?: string;
    roundness?: import("@salutejs/plasma-new-hope/styled-components").Roundness;
} & import("@salutejs/plasma-new-hope/styled-components").SkeletonGradientProps & import("react").RefAttributes<HTMLDivElement>>;
/**
 * Компонент плейсхолдера нескольких строк текста.
 * Размеры компонента задаются с помощью констант и соответствуют размерам [типографических элементов](/?path=/docs/).
 */
export declare const TextSkeleton: import("react").FC<import("@salutejs/plasma-new-hope/types/engines/types").PropsType<{
    view: {
        default: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        lighter: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
    size: {
        body1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        body2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        body3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        button1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        button2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        caption: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        display3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        footnote1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        footnote2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        headline4: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        paragraph1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        paragraph2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        underline: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        bodyXXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        dsplS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h1: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h2: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h3: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h4: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        h5: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textL: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textM: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
        textXS: import("@salutejs/plasma-new-hope/types/engines/types").PolymorphicClassName;
    };
}> & import("react").HTMLAttributes<HTMLDivElement> & import("@salutejs/plasma-new-hope/types/components/Skeleton/Skeleton.types").SkeletonSizeProps & {
    customGradientColor?: string;
    roundness?: import("@salutejs/plasma-new-hope/styled-components").Roundness;
} & import("@salutejs/plasma-new-hope/styled-components").SkeletonGradientProps & import("react").RefAttributes<HTMLDivElement> & import("@salutejs/plasma-new-hope/types/components/Skeleton/TextSkeleton/TextSkeleton.types").TextSkeletonBaseProps>;
/**
 * Компонент для создания прямоугольного плейсхолдера.
 */
export { RectSkeleton } from '@salutejs/plasma-new-hope/styled-components';
